PROJECT_ROOT=$(pwd)

cd $PROJECT_ROOT
export PYTHONPATH=$PYTHONPATH:$PROJECT_ROOT
export CUDA_VISIBLE_DEVICES=0

if [ -z "$1" ]; then
    echo "Error: Please provide a video_id"
    echo "Usage: . inference.sh <video_id>"
    exit 1
fi

VIDEO_ID=$1

python3 src/inference.py \
    --config src/config/inference_config.yaml \
    --video_id $VIDEO_ID